diff -u gbackground/glade/gbackground.glade gbackground-1.1/glade/gbackground.glade
--- gbackground/glade/gbackground.glade	2009-06-26 01:44:35.000000000 +0200
+++ gbackground-1.1/glade/gbackground.glade	2009-01-11 07:56:32.000000000 +0100
@@ -1,15 +1,15 @@
-<?xml version="1.0"?>
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!DOCTYPE glade-interface SYSTEM "glade-2.0.dtd">
+<!--*- mode: xml -*-->
 <glade-interface>
-  <!-- interface-requires gtk+ 2.16 -->
-  <!-- interface-naming-policy toplevel-contextual -->
-  <widget class="GtkWindow" id="main_window">
+  <widget class="GtkWindow" id="ventana_principal">
     <property name="width_request">552</property>
     <property name="visible">True</property>
     <property name="title" translatable="yes">Gbackground</property>
     <property name="resizable">False</property>
-    <property name="window_position">center</property>
+    <property name="window_position">GTK_WIN_POS_CENTER</property>
     <property name="icon">config-xfree.xpm</property>
-    <signal name="delete_event" handler="on_main_window_delete_event"/>
+    <signal name="delete_event" handler="on_ventana_principal_delete_event"/>
     <child>
       <widget class="GtkVBox" id="vbox1">
         <property name="visible">True</property>
@@ -24,12 +24,18 @@
                 <child>
                   <widget class="GtkMenu" id="menuitem1_menu">
                     <child>
-                      <widget class="GtkImageMenuItem" id="exit_menu_item">
-                        <property name="label">_Exit</property>
+                      <widget class="GtkImageMenuItem" id="exit1">
                         <property name="visible">True</property>
+                        <property name="label" translatable="yes">_Exit</property>
                         <property name="use_underline">True</property>
-                        <property name="use_stock">True</property>
-                        <signal name="activate" handler="on_exit_menu_event"/>
+                        <signal name="activate" handler="on_salir1_activate"/>
+                        <child internal-child="image">
+                          <widget class="GtkImage" id="image21">
+                            <property name="visible">True</property>
+                            <property name="stock">gtk-quit</property>
+                            <property name="icon_size">1</property>
+                          </widget>
+                        </child>
                       </widget>
                     </child>
                   </widget>
@@ -38,11 +44,17 @@
             </child>
             <child>
               <widget class="GtkImageMenuItem" id="setting1">
-                <property name="label">Setting</property>
                 <property name="visible">True</property>
+                <property name="label" translatable="yes">Setting</property>
                 <property name="use_underline">True</property>
-                <property name="use_stock">True</property>
-                <signal name="activate" handler="on_preferences_event"/>
+                <signal name="activate" handler="on_preferencias1_activate"/>
+                <child internal-child="image">
+                  <widget class="GtkImage" id="image22">
+                    <property name="visible">True</property>
+                    <property name="stock">gtk-preferences</property>
+                    <property name="icon_size">1</property>
+                  </widget>
+                </child>
               </widget>
             </child>
             <child>
@@ -53,12 +65,18 @@
                 <child>
                   <widget class="GtkMenu" id="menuitem4_menu">
                     <child>
-                      <widget class="GtkImageMenuItem" id="about_menu_item">
-                        <property name="label">About</property>
+                      <widget class="GtkImageMenuItem" id="acerca_dee">
                         <property name="visible">True</property>
+                        <property name="label" translatable="yes">About</property>
                         <property name="use_underline">True</property>
-                        <property name="use_stock">True</property>
-                        <signal name="activate" handler="on_about_menu_event"/>
+                        <signal name="activate" handler="on_acerca_de1_activate"/>
+                        <child internal-child="image">
+                          <widget class="GtkImage" id="image23">
+                            <property name="visible">True</property>
+                            <property name="stock">gtk-dialog-warning</property>
+                            <property name="icon_size">1</property>
+                          </widget>
+                        </child>
                       </widget>
                     </child>
                   </widget>
@@ -69,7 +87,6 @@
           <packing>
             <property name="expand">False</property>
             <property name="fill">False</property>
-            <property name="position">0</property>
           </packing>
         </child>
         <child>
@@ -77,7 +94,7 @@
             <property name="height_request">145</property>
             <property name="visible">True</property>
             <child>
-              <widget class="GtkSpinButton" id="select_seconds">
+              <widget class="GtkSpinButton" id="etiqueta_numero_de_segundos">
                 <property name="width_request">80</property>
                 <property name="height_request">26</property>
                 <property name="visible">True</property>
@@ -91,7 +108,7 @@
               </packing>
             </child>
             <child>
-              <widget class="GtkLabel" id="label_seconds">
+              <widget class="GtkLabel" id="etiqueta_segundos">
                 <property name="width_request">0</property>
                 <property name="height_request">0</property>
                 <property name="visible">True</property>
@@ -102,7 +119,7 @@
               </packing>
             </child>
             <child>
-              <widget class="GtkLabel" id="label_directory">
+              <widget class="GtkLabel" id="etiqueta_directorio">
                 <property name="width_request">172</property>
                 <property name="height_request">24</property>
                 <property name="visible">True</property>
@@ -114,7 +131,7 @@
               </packing>
             </child>
             <child>
-              <widget class="GtkLabel" id="label_time_loop">
+              <widget class="GtkLabel" id="etiqueta_intervalo_tiempo">
                 <property name="width_request">88</property>
                 <property name="height_request">24</property>
                 <property name="visible">True</property>
@@ -138,7 +155,7 @@
               </packing>
             </child>
             <child>
-              <widget class="GtkLabel" id="label_program_status">
+              <widget class="GtkLabel" id="etiqueta_estado_del_programa">
                 <property name="width_request">144</property>
                 <property name="height_request">24</property>
                 <property name="visible">True</property>
@@ -164,7 +181,7 @@
                 <property name="width_request">291</property>
                 <property name="height_request">31</property>
                 <property name="visible">True</property>
-                <property name="action">select-folder</property>
+                <property name="action">GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER</property>
                 <property name="title" translatable="yes">Select Directory</property>
               </widget>
               <packing>
@@ -181,13 +198,13 @@
           <widget class="GtkHButtonBox" id="hbuttonbox1">
             <property name="visible">True</property>
             <child>
-              <widget class="GtkButton" id="start_button">
+              <widget class="GtkButton" id="boton_iniciar">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <property name="has_focus">True</property>
                 <property name="can_default">True</property>
-                <property name="receives_default">False</property>
-                <signal name="clicked" handler="on_start_button_event"/>
+                <property name="response_id">0</property>
+                <signal name="clicked" handler="on_boton_iniciar_clicked"/>
                 <child>
                   <widget class="GtkAlignment" id="alignment1">
                     <property name="visible">True</property>
@@ -205,11 +222,10 @@
                           <packing>
                             <property name="expand">False</property>
                             <property name="fill">False</property>
-                            <property name="position">0</property>
                           </packing>
                         </child>
                         <child>
-                          <widget class="GtkLabel" id="label_start_button">
+                          <widget class="GtkLabel" id="etiqueta_iniciar">
                             <property name="visible">True</property>
                             <property name="label" translatable="yes">Start Gbackground</property>
                             <property name="use_underline">True</property>
@@ -225,19 +241,14 @@
                   </widget>
                 </child>
               </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">0</property>
-              </packing>
             </child>
             <child>
-              <widget class="GtkButton" id="stop_button">
+              <widget class="GtkButton" id="boton_parar">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <property name="can_default">True</property>
-                <property name="receives_default">False</property>
-                <signal name="clicked" handler="on_stop_button_event"/>
+                <property name="response_id">0</property>
+                <signal name="clicked" handler="on_boton_parar_clicked"/>
                 <child>
                   <widget class="GtkAlignment" id="alignment2">
                     <property name="visible">True</property>
@@ -255,11 +266,10 @@
                           <packing>
                             <property name="expand">False</property>
                             <property name="fill">False</property>
-                            <property name="position">0</property>
                           </packing>
                         </child>
                         <child>
-                          <widget class="GtkLabel" id="label_stop_button">
+                          <widget class="GtkLabel" id="etiqueta_parar">
                             <property name="visible">True</property>
                             <property name="label" translatable="yes">Stop Gbackground</property>
                             <property name="use_underline">True</property>
@@ -276,18 +286,16 @@
                 </child>
               </widget>
               <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
                 <property name="position">1</property>
               </packing>
             </child>
             <child>
-              <widget class="GtkButton" id="button_quit">
+              <widget class="GtkButton" id="boton_salir">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <property name="can_default">True</property>
-                <property name="receives_default">False</property>
-                <signal name="clicked" handler="on_quit_button_event"/>
+                <property name="response_id">0</property>
+                <signal name="clicked" handler="on_boton_salir_clicked"/>
                 <child>
                   <widget class="GtkAlignment" id="alignment3">
                     <property name="visible">True</property>
@@ -305,11 +313,10 @@
                           <packing>
                             <property name="expand">False</property>
                             <property name="fill">False</property>
-                            <property name="position">0</property>
                           </packing>
                         </child>
                         <child>
-                          <widget class="GtkLabel" id="label_quit_button">
+                          <widget class="GtkLabel" id="etiqueta_salir">
                             <property name="visible">True</property>
                             <property name="label" translatable="yes">Quit</property>
                             <property name="use_underline">True</property>
@@ -326,8 +333,6 @@
                 </child>
               </widget>
               <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
                 <property name="position">2</property>
               </packing>
             </child>
@@ -349,12 +354,12 @@
       </widget>
     </child>
   </widget>
-  <widget class="GtkWindow" id="preferences_window">
+  <widget class="GtkWindow" id="ventana_preferencias">
     <property name="width_request">352</property>
     <property name="height_request">177</property>
     <property name="title" translatable="yes">Settings</property>
     <property name="resizable">False</property>
-    <signal name="delete_event" handler="on_preferences_delete_event"/>
+    <signal name="delete_event" handler="on_ventana_preferencias_delete_event"/>
     <child>
       <widget class="GtkVBox" id="vbox9">
         <property name="visible">True</property>
@@ -376,14 +381,14 @@
               </packing>
             </child>
             <child>
-              <widget class="GtkCheckButton" id="keep_last_bground_combobox">
-                <property name="label" translatable="yes">Keep the last background</property>
+              <widget class="GtkCheckButton" id="ventana_preferencias_fondo">
                 <property name="width_request">227</property>
                 <property name="height_request">24</property>
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
-                <property name="receives_default">False</property>
+                <property name="label" translatable="yes">Keep the last background</property>
                 <property name="use_underline">True</property>
+                <property name="response_id">0</property>
                 <property name="active">True</property>
                 <property name="draw_indicator">True</property>
               </widget>
@@ -393,7 +398,7 @@
               </packing>
             </child>
             <child>
-              <widget class="GtkComboBox" id="background_options_select">
+              <widget class="GtkComboBox" id="combobox1">
                 <property name="width_request">132</property>
                 <property name="height_request">31</property>
                 <property name="visible">True</property>
@@ -408,21 +413,18 @@
               </packing>
             </child>
           </widget>
-          <packing>
-            <property name="position">0</property>
-          </packing>
         </child>
         <child>
           <widget class="GtkHButtonBox" id="hbuttonbox8">
             <property name="visible">True</property>
-            <property name="layout_style">spread</property>
+            <property name="layout_style">GTK_BUTTONBOX_SPREAD</property>
             <child>
-              <widget class="GtkButton" id="button_preferences_accept">
+              <widget class="GtkButton" id="ventana_preferencias_boton_aceptar">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <property name="can_default">True</property>
-                <property name="receives_default">False</property>
-                <signal name="clicked" handler="on_preferences_accept_button_event"/>
+                <property name="response_id">0</property>
+                <signal name="clicked" handler="on_ventana_preferencias_boton_aceptar_clicked"/>
                 <child>
                   <widget class="GtkAlignment" id="alignment4">
                     <property name="visible">True</property>
@@ -440,7 +442,6 @@
                           <packing>
                             <property name="expand">False</property>
                             <property name="fill">False</property>
-                            <property name="position">0</property>
                           </packing>
                         </child>
                         <child>
@@ -460,19 +461,14 @@
                   </widget>
                 </child>
               </widget>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">0</property>
-              </packing>
             </child>
             <child>
-              <widget class="GtkButton" id="button_preferences_cancel">
+              <widget class="GtkButton" id="ventana_preferencias_boton_cancelar">
                 <property name="visible">True</property>
                 <property name="can_focus">True</property>
                 <property name="can_default">True</property>
-                <property name="receives_default">False</property>
-                <signal name="clicked" handler="on_preferences_cancel_button_event"/>
+                <property name="response_id">0</property>
+                <signal name="clicked" handler="on_ventana_preferencias_boton_cancelar_clicked"/>
                 <child>
                   <widget class="GtkAlignment" id="alignment5">
                     <property name="visible">True</property>
@@ -490,7 +486,6 @@
                           <packing>
                             <property name="expand">False</property>
                             <property name="fill">False</property>
-                            <property name="position">0</property>
                           </packing>
                         </child>
                         <child>
@@ -511,8 +506,6 @@
                 </child>
               </widget>
               <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
                 <property name="position">1</property>
               </packing>
             </child>
@@ -524,13 +517,13 @@
       </widget>
     </child>
   </widget>
-  <widget class="GtkAboutDialog" id="about_window">
+  <widget class="GtkAboutDialog" id="acerca_de">
     <property name="border_width">5</property>
     <property name="title" translatable="yes">Acerca de Glade</property>
     <property name="resizable">False</property>
     <property name="modal">True</property>
-    <property name="window_position">center</property>
-    <property name="type_hint">dialog</property>
+    <property name="window_position">GTK_WIN_POS_CENTER</property>
+    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
     <property name="program_name">gbackground</property>
     <property name="version">1.2</property>
     <property name="copyright" translatable="yes">Copyriht 2006</property>
@@ -559,9 +552,9 @@
 www.mogaal.com
 </property>
     <property name="authors">Alejandro Garrido Mota &lt;garridomota@gmail.com&gt;</property>
-    <signal name="close" handler="on_about_close_button_event"/>
-    <signal name="response" handler="on_about_response_event"/>
-    <signal name="delete_event" handler="on_about_delete_event"/>
+    <signal name="close" handler="on_acerca_de_close"/>
+    <signal name="delete_event" handler="on_acerca_de_delete_event"/>
+    <signal name="response" handler="on_acerca_de_response"/>
     <child internal-child="vbox">
       <widget class="GtkVBox" id="dialog-vbox2">
         <property name="visible">True</property>
@@ -572,26 +565,25 @@
         <child internal-child="action_area">
           <widget class="GtkHButtonBox" id="dialog-action_area2">
             <property name="visible">True</property>
-            <property name="layout_style">end</property>
+            <property name="layout_style">GTK_BUTTONBOX_END</property>
           </widget>
           <packing>
             <property name="expand">False</property>
-            <property name="pack_type">end</property>
-            <property name="position">0</property>
+            <property name="pack_type">GTK_PACK_END</property>
           </packing>
         </child>
       </widget>
     </child>
   </widget>
-  <widget class="GtkFileChooserDialog" id="file_choose">
+  <widget class="GtkFileChooserDialog" id="file_chosse">
     <property name="width_request">647</property>
     <property name="height_request">403</property>
     <property name="border_width">5</property>
     <property name="title" translatable="yes">Select Directory</property>
-    <property name="window_position">center-on-parent</property>
-    <property name="type_hint">dialog</property>
+    <property name="window_position">GTK_WIN_POS_CENTER_ON_PARENT</property>
+    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
     <property name="has_separator">False</property>
-    <property name="action">select-folder</property>
+    <property name="action">GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER</property>
     <child internal-child="vbox">
       <widget class="GtkVBox" id="dialog-vbox3">
         <property name="visible">True</property>
@@ -602,7 +594,7 @@
         <child internal-child="action_area">
           <widget class="GtkHButtonBox" id="dialog-action_area3">
             <property name="visible">True</property>
-            <property name="layout_style">end</property>
+            <property name="layout_style">GTK_BUTTONBOX_END</property>
             <child>
               <placeholder/>
             </child>
@@ -612,8 +604,7 @@
           </widget>
           <packing>
             <property name="expand">False</property>
-            <property name="pack_type">end</property>
-            <property name="position">0</property>
+            <property name="pack_type">GTK_PACK_END</property>
           </packing>
         </child>
       </widget>
